# spec file for package asl
# 
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.

Name:           asl
URL:            http://john.ccac.rwth-aachen.de:8000/as/index.html
Version:        1.42
Release:        0.3.bld55%{?dist}
Group:          Development/Languages
License:        GPL
Summary:        Macro Assembler AS
Source:         http://john.ccac.rwth-aachen.de:8000/ftp/as/source/c_version/asl-current-142-bld55.tar.bz2
Patch0:         asl-Makefile.def.patch
Patch1:         asl-sysdefs.h.patch
Patch2:         asl-install.sh.patch
Patch3:         asl-ppc64.patch
Patch4:         asl-Makefile-DESTDIR.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  tetex-latex tetex-tex4ht

%description
AS is a portable macro cross-assembler for a variety of microprocessors
and controllers. Although it is mainly targeted at embedded processors
and single-board computers, you also find CPU families that are used in
workstations and PCs in the target list.

%prep
%setup -q -n asl-current

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p0

%build
make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
make docs

%check
make %{_smp_mflags} test

%install
rm -rf $RPM_BUILD_ROOT
make install %{_smp_mflags} DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README README.LANGS TODO BENCHES changelog
%doc doc/as-EN.txt doc/as-EN.html doc/as-EN.ps doc/as-EN.dvi
%doc doc/as-DE.txt doc/as-DE.html doc/as-DE.ps doc/as-DE.dvi
%{_bindir}/asl
%{_bindir}/alink
%{_bindir}/p2bin
%{_bindir}/p2hex
%{_bindir}/pbind
%{_bindir}/plist
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/include
%{_datadir}/%{name}/lib
%doc %{_mandir}/man1/asl.1.gz
%doc %{_mandir}/man1/p2bin.1.gz
%doc %{_mandir}/man1/p2hex.1.gz
%doc %{_mandir}/man1/pbind.1.gz
%doc %{_mandir}/man1/plist.1.gz
%doc %{_mandir}/man1/alink.1.gz

%changelog -n asl
* Sat Jun 03 2007 Eric Smith <eric@brouhaha.com> 1.42-0.3.bld55
- files section changed to wildcard directories for include and lib
  (reluctantly, at request of reviewer lxtnow@gmail.com)
- added dist tag

* Sat Jun 03 2007 Eric Smith <eric@brouhaha.com> 1.42-0.2.bld55
- restored dir directives in files section for directories under datadir
- added use of smp_mflags

* Sat Jun 03 2007 Eric Smith <eric@brouhaha.com> 1.42-0.1.bld55
- based on OpenSUSE spec file from asl-1.42build35-39.src.rpm
- updated to 1.42bld55
- cleaned up spec as per review
